Bug 137054 - Update devel/boost from 1.37 to 1.39
Update devel/boost from 1.37 to 1.39
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-24 16:50 UTC by churanov.port.maintainer
Modified: 2009-07-28 13:00 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description churanov.port.maintainer 2009-07-24 16:50:00 UTC
This is a update for devel/boost and devel/boost-python ports from maintainer. The task also includes re-organization of the two currently present ports into 5 boost ports. This fixes the conflict of devel/boost and devel/boost-python.

Fix: 

1) Download http://alexanderchuranov.com/boost-port/boost-ports-200907241320.tar.bz2 and unpack under ports/devel.
2) Download http://alexanderchuranov.com/boost-port/boost-2009-07-23-20-10.diff and apply to /usr/ports/
3) Remove devel/boost and devel/boost-python directories
How-To-Repeat: N/A
Comment 1 pav freebsd_committer 2009-07-28 12:42:44 UTC
State Changed
From-To: open->closed

Committed, thanks :)
Comment 2 dfilter freebsd_committer 2009-07-28 12:45:23 UTC
pav         2009-07-28 11:45:09 UTC

  FreeBSD ports repository

  Modified files:
    .                    MOVED 
    astro/stellarium     Makefile 
    audio/ardour         Makefile 
    audio/cpp-xmms2      Makefile 
    audio/mp3plot        Makefile 
    audio/mumble         Makefile 
    audio/patchage       Makefile 
    audio/py-tagpy       Makefile 
    audio/raul           Makefile 
    cad/kicad            Makefile 
    comms/fldigi         Makefile 
    comms/gnuradio       Makefile 
    databases/akonadi    Makefile 
    deskutils/kdepim4    Makefile 
    deskutils/kdepimlibs4 Makefile 
    deskutils/launchy    Makefile 
    deskutils/pinot      Makefile 
    devel                Makefile 
    devel/boost_build    Makefile 
    devel/crow           Makefile 
    devel/guiloader-c++  Makefile 
    devel/libiqxmlrpc    Makefile 
    devel/libopkele      Makefile 
    devel/log4cxx        Makefile 
    devel/luabind        Makefile 
    devel/monotone       Makefile 
    devel/nemiver        Makefile 
    devel/sdts++         Makefile 
    devel/simgear        Makefile 
    devel/stlport        Makefile 
    devel/subcommander   Makefile 
    devel/subcommander2  Makefile 
    devel/thrift         Makefile 
    dns/powerdns         Makefile 
    dns/powerdns-devel   Makefile 
    dns/powerdns-recursor Makefile 
    editors/abiword-plugins Makefile 
    editors/madedit      Makefile 
    editors/openoffice.org-2 Makefile 
    editors/openoffice.org-2-RC Makefile 
    editors/openoffice.org-3 Makefile 
    editors/openoffice.org-3-RC Makefile 
    editors/openoffice.org-3-devel Makefile 
    editors/openoffice.org-vcltesttool Makefile 
    editors/pdfedit      Makefile 
    editors/xmlcopyeditor Makefile 
    finance/quantlib     Makefile 
    games/alephone       Makefile 
    games/flightgear     Makefile 
    games/flyhard        Makefile 
    games/galaxyhack     Makefile 
    games/glob2          Makefile 
    games/lordsawar      Makefile 
    games/love           Makefile 
    games/mkhexgrid      Makefile 
    games/pingus         Makefile 
    games/plee-the-bear  Makefile 
    games/pokerth        Makefile 
    games/secretmaryochronicles Makefile 
    games/spring         Makefile 
    games/wesnoth        Makefile 
    games/wesnoth-devel  Makefile 
    games/widelands      Makefile 
    games/windstille     Makefile 
    graphics/agave       Makefile 
    graphics/aqsis       Makefile 
    graphics/enblend     Makefile 
    graphics/fracplanet  Makefile 
    graphics/gnash       Makefile 
    graphics/gnash-devel Makefile 
    graphics/gsculpt     Makefile 
    graphics/hugin       Makefile 
    graphics/inkscape    Makefile 
    graphics/k3d         Makefile 
    graphics/libopenraw  Makefile 
    graphics/mapnik      Makefile 
    graphics/panomatic   Makefile 
    graphics/py-cgkit    Makefile 
    graphics/py-exiv2    Makefile 
    graphics/py-visual   Makefile 
    math/cgal            Makefile 
    math/qtiplot         Makefile 
    misc/bibletime-devel Makefile 
    misc/bibletime-kde4  Makefile 
    misc/kdeedu3         Makefile 
    misc/kdeedu4         Makefile 
    misc/metalink-tools  Makefile 
    multimedia/bmpx      Makefile 
    multimedia/flvtool++ Makefile 
    multimedia/miro      Makefile 
    multimedia/mkvtoolnix Makefile 
    net/pktanon          Makefile 
    net/twinkle          Makefile 
    net-im/licq          Makefile 
    net-im/licq-console  Makefile 
    net-im/licq-osd      Makefile 
    net-im/licq-qt-gui   Makefile 
    net-im/wooztalk      Makefile 
    net-p2p/deluge       Makefile 
    net-p2p/rblibtorrent Makefile 
    net-p2p/rblibtorrent-devel Makefile 
    net-p2p/sharktorrent Makefile 
    palm/barry           Makefile 
    print/cjk-lyx        Makefile 
    print/lyx            Makefile 
    print/lyx15          Makefile 
    print/pdfcube        Makefile 
    science/avogadro     Makefile 
    science/openbabel    Makefile 
    science/peekabot     Makefile 
    sysutils/fusefs-encfs Makefile 
    textproc/source-highlight Makefile 
    www/openvrml         Makefile 
    x11-toolkits/flowcanvas Makefile 
    x11-toolkits/gigi    Makefile 
  Added files:
    devel/boost-all      Makefile common.mk compiled.mk pkg-descr 
                         pkg-message.python pkg-message.threads 
                         sites.mk 
    devel/boost-docs     Makefile distinfo pkg-descr pkg-plist 
    devel/boost-jam      Makefile distinfo pkg-descr pkg-plist 
    devel/boost-libs     Makefile distinfo pkg-descr pkg-plist 
    devel/boost-libs/files patch-Jamroot 
                           patch-boost_test_impl_execution_monitor.ipp 
                           patch-libs_regex_build_Jamfile.v2 
                           patch-tools_build_v2_tools_common.jam 
                           patch-tools_build_v2_tools_gcc.jam 
                           patch-tools_build_v2_tools_python.jam 
                           patch-tools_jam_src_build.jam 
    devel/boost-python-libs Makefile distinfo pkg-descr pkg-plist 
    devel/boost-python-libs/files 
                                  patch-tools_build_v2_tools_common.jam 
                                  patch-tools_build_v2_tools_gcc.jam 
                                  patch-tools_build_v2_tools_python.jam 
                                  patch-tools_jam_src_build.jam 
  Removed files:
    devel/boost          Makefile distinfo pkg-descr 
                         pkg-message.python pkg-message.threads 
                         pkg-plist 
    devel/boost/files    patch-boost__detail__endian.hpp 
                         patch-boost_function_function_template.hpp.patch 
                         patch-boost_test_impl_execution_monitor.ipp 
                         patch-libs_math_build_Jamfile.v2 
                         patch-libs_random_random_device.cpp 
                         patch-libs_regex_build_Jamfile.v2 
                         patch-tools_build_v2_tools_common.jam 
                         patch-tools_build_v2_tools_gcc.jam 
                         patch-tools_build_v2_tools_python.jam 
                         patch-tools_jam_src_build.jam 
    devel/boost-python   Makefile pkg-descr 
  Log:
  - Update boost to 1.39
  - Split boost port to separate components, with boost-all metaport
  
  PR:             ports/137054
  Submitted by:   Alexander Churanov <churanov.port.maintainer@gmail.com> (maintainer)
  
  Revision  Changes    Path
  1.1955    +3 -1      ports/MOVED
  1.29      +1 -1      ports/astro/stellarium/Makefile
  1.34      +1 -1      ports/audio/ardour/Makefile
  1.11      +1 -1      ports/audio/cpp-xmms2/Makefile
  1.7       +1 -1      ports/audio/mp3plot/Makefile
  1.3       +1 -1      ports/audio/mumble/Makefile
  1.2       +1 -1      ports/audio/patchage/Makefile
  1.8       +1 -1      ports/audio/py-tagpy/Makefile
  1.3       +1 -1      ports/audio/raul/Makefile
  1.25      +1 -1      ports/cad/kicad/Makefile
  1.22      +1 -1      ports/comms/fldigi/Makefile
  1.16      +1 -1      ports/comms/gnuradio/Makefile
  1.11      +1 -1      ports/databases/akonadi/Makefile
  1.95      +1 -1      ports/deskutils/kdepim4/Makefile
  1.14      +1 -1      ports/deskutils/kdepimlibs4/Makefile
  1.5       +1 -1      ports/deskutils/launchy/Makefile
  1.50      +1 -1      ports/deskutils/pinot/Makefile
  1.3569    +5 -2      ports/devel/Makefile
  1.1       +45 -0     ports/devel/boost-all/Makefile (new)
  1.1       +9 -0      ports/devel/boost-all/common.mk (new)
  1.1       +47 -0     ports/devel/boost-all/compiled.mk (new)
  1.1       +18 -0     ports/devel/boost-all/pkg-descr (new)
  1.1       +8 -0      ports/devel/boost-all/pkg-message.python (new)
  1.1       +4 -0      ports/devel/boost-all/pkg-message.threads (new)
  1.1       +5 -0      ports/devel/boost-all/sites.mk (new)
  1.1       +41 -0     ports/devel/boost-docs/Makefile (new)
  1.1       +3 -0      ports/devel/boost-docs/distinfo (new)
  1.1       +16 -0     ports/devel/boost-docs/pkg-descr (new)
  1.1       +11850 -0  ports/devel/boost-docs/pkg-plist (new)
  1.1       +41 -0     ports/devel/boost-jam/Makefile (new)
  1.1       +3 -0      ports/devel/boost-jam/distinfo (new)
  1.1       +6 -0      ports/devel/boost-jam/pkg-descr (new)
  1.1       +1 -0      ports/devel/boost-jam/pkg-plist (new)
  1.1       +105 -0    ports/devel/boost-libs/Makefile (new)
  1.1       +3 -0      ports/devel/boost-libs/distinfo (new)
  1.1       +20 -0     ports/devel/boost-libs/files/patch-Jamroot (new)
  1.1       +150 -0    ports/devel/boost-libs/files/patch-boost_test_impl_execution_monitor.ipp (new)
  1.1       +11 -0     ports/devel/boost-libs/files/patch-libs_regex_build_Jamfile.v2 (new)
  1.1       +17 -0     ports/devel/boost-libs/files/patch-tools_build_v2_tools_common.jam (new)
  1.1       +29 -0     ports/devel/boost-libs/files/patch-tools_build_v2_tools_gcc.jam (new)
  1.1       +11 -0     ports/devel/boost-libs/files/patch-tools_build_v2_tools_python.jam (new)
  1.1       +11 -0     ports/devel/boost-libs/files/patch-tools_jam_src_build.jam (new)
  1.1       +19 -0     ports/devel/boost-libs/pkg-descr (new)
  1.1       +7160 -0   ports/devel/boost-libs/pkg-plist (new)
  1.1       +109 -0    ports/devel/boost-python-libs/Makefile (new)
  1.1       +3 -0      ports/devel/boost-python-libs/distinfo (new)
  1.1       +17 -0     ports/devel/boost-python-libs/files/patch-tools_build_v2_tools_common.jam (new)
  1.1       +54 -0     ports/devel/boost-python-libs/files/patch-tools_build_v2_tools_gcc.jam (new)
  1.1       +11 -0     ports/devel/boost-python-libs/files/patch-tools_build_v2_tools_python.jam (new)
  1.1       +11 -0     ports/devel/boost-python-libs/files/patch-tools_jam_src_build.jam (new)
  1.1       +6 -0      ports/devel/boost-python-libs/pkg-descr (new)
  1.1       +287 -0    ports/devel/boost-python-libs/pkg-plist (new)
  1.3       +0 -16     ports/devel/boost-python/Makefile (dead)
  1.2       +0 -11     ports/devel/boost-python/pkg-descr (dead)
  1.46      +0 -318    ports/devel/boost/Makefile (dead)
  1.15      +0 -3      ports/devel/boost/distinfo (dead)
  1.2       +0 -21     ports/devel/boost/files/patch-boost__detail__endian.hpp (dead)
  1.2       +0 -14     ports/devel/boost/files/patch-boost_function_function_template.hpp.patch (dead)
  1.2       +0 -150    ports/devel/boost/files/patch-boost_test_impl_execution_monitor.ipp (dead)
  1.2       +0 -38     ports/devel/boost/files/patch-libs_math_build_Jamfile.v2 (dead)
  1.2       +0 -20     ports/devel/boost/files/patch-libs_random_random_device.cpp (dead)
  1.3       +0 -11     ports/devel/boost/files/patch-libs_regex_build_Jamfile.v2 (dead)
  1.3       +0 -17     ports/devel/boost/files/patch-tools_build_v2_tools_common.jam (dead)
  1.3       +0 -29     ports/devel/boost/files/patch-tools_build_v2_tools_gcc.jam (dead)
  1.3       +0 -11     ports/devel/boost/files/patch-tools_build_v2_tools_python.jam (dead)
  1.3       +0 -11     ports/devel/boost/files/patch-tools_jam_src_build.jam (dead)
  1.3       +0 -9      ports/devel/boost/pkg-descr (dead)
  1.2       +0 -8      ports/devel/boost/pkg-message.python (dead)
  1.2       +0 -4      ports/devel/boost/pkg-message.threads (dead)
  1.20      +0 -19012  ports/devel/boost/pkg-plist (dead)
  1.4       +1 -1      ports/devel/boost_build/Makefile
  1.11      +1 -1      ports/devel/crow/Makefile
  1.9       +1 -1      ports/devel/guiloader-c++/Makefile
  1.6       +1 -1      ports/devel/libiqxmlrpc/Makefile
  1.8       +1 -1      ports/devel/libopkele/Makefile
  1.12      +1 -1      ports/devel/log4cxx/Makefile
  1.5       +2 -2      ports/devel/luabind/Makefile
  1.44      +1 -1      ports/devel/monotone/Makefile
  1.7       +1 -1      ports/devel/nemiver/Makefile
  1.24      +1 -1      ports/devel/sdts++/Makefile
  1.34      +1 -1      ports/devel/simgear/Makefile
  1.51      +2 -2      ports/devel/stlport/Makefile
  1.15      +1 -1      ports/devel/subcommander/Makefile
  1.15      +1 -1      ports/devel/subcommander2/Makefile
  1.9       +1 -2      ports/devel/thrift/Makefile
  1.71      +2 -1      ports/dns/powerdns-devel/Makefile
  1.17      +2 -1      ports/dns/powerdns-recursor/Makefile
  1.67      +2 -1      ports/dns/powerdns/Makefile
  1.37      +1 -1      ports/editors/abiword-plugins/Makefile
  1.8       +1 -1      ports/editors/madedit/Makefile
  1.352     +1 -1      ports/editors/openoffice.org-2-RC/Makefile
  1.318     +1 -1      ports/editors/openoffice.org-2/Makefile
  1.396     +1 -1      ports/editors/openoffice.org-3-RC/Makefile
  1.437     +1 -1      ports/editors/openoffice.org-3-devel/Makefile
  1.322     +1 -1      ports/editors/openoffice.org-3/Makefile
  1.378     +1 -1      ports/editors/openoffice.org-vcltesttool/Makefile
  1.10      +1 -1      ports/editors/pdfedit/Makefile
  1.8       +1 -1      ports/editors/xmlcopyeditor/Makefile
  1.24      +1 -1      ports/finance/quantlib/Makefile
  1.39      +1 -1      ports/games/alephone/Makefile
  1.61      +1 -1      ports/games/flightgear/Makefile
  1.9       +1 -1      ports/games/flyhard/Makefile
  1.19      +1 -1      ports/games/galaxyhack/Makefile
  1.29      +1 -1      ports/games/glob2/Makefile
  1.10      +3 -1      ports/games/lordsawar/Makefile
  1.8       +1 -1      ports/games/love/Makefile
  1.6       +1 -1      ports/games/mkhexgrid/Makefile
  1.6       +1 -1      ports/games/pingus/Makefile
  1.6       +1 -1      ports/games/plee-the-bear/Makefile
  1.17      +1 -1      ports/games/pokerth/Makefile
  1.14      +1 -1      ports/games/secretmaryochronicles/Makefile
  1.20      +1 -1      ports/games/spring/Makefile
  1.69      +1 -1      ports/games/wesnoth-devel/Makefile
  1.66      +1 -1      ports/games/wesnoth/Makefile
  1.8       +1 -1      ports/games/widelands/Makefile
  1.10      +1 -1      ports/games/windstille/Makefile
  1.12      +1 -1      ports/graphics/agave/Makefile
  1.36      +2 -1      ports/graphics/aqsis/Makefile
  1.15      +1 -1      ports/graphics/enblend/Makefile
  1.10      +1 -1      ports/graphics/fracplanet/Makefile
  1.44      +1 -1      ports/graphics/gnash-devel/Makefile
  1.40      +1 -1      ports/graphics/gnash/Makefile
  1.28      +1 -1      ports/graphics/gsculpt/Makefile
  1.30      +1 -1      ports/graphics/hugin/Makefile
  1.50      +1 -1      ports/graphics/inkscape/Makefile
  1.35      +1 -1      ports/graphics/k3d/Makefile
  1.11      +1 -1      ports/graphics/libopenraw/Makefile
  1.5       +1 -1      ports/graphics/mapnik/Makefile
  1.3       +2 -1      ports/graphics/panomatic/Makefile
  1.21      +4 -1      ports/graphics/py-cgkit/Makefile
  1.5       +1 -1      ports/graphics/py-exiv2/Makefile
  1.20      +3 -2      ports/graphics/py-visual/Makefile
  1.8       +2 -2      ports/math/cgal/Makefile
  1.33      +1 -1      ports/math/qtiplot/Makefile
  1.53      +1 -1      ports/misc/bibletime-devel/Makefile
  1.53      +1 -1      ports/misc/bibletime-kde4/Makefile
  1.47      +1 -1      ports/misc/kdeedu3/Makefile
  1.57      +1 -1      ports/misc/kdeedu4/Makefile
  1.4       +3 -3      ports/misc/metalink-tools/Makefile
  1.50      +1 -1      ports/multimedia/bmpx/Makefile
  1.3       +1 -1      ports/multimedia/flvtool++/Makefile
  1.19      +1 -1      ports/multimedia/miro/Makefile
  1.55      +1 -1      ports/multimedia/mkvtoolnix/Makefile
  1.28      +1 -1      ports/net-im/licq-console/Makefile
  1.19      +1 -1      ports/net-im/licq-osd/Makefile
  1.30      +1 -1      ports/net-im/licq-qt-gui/Makefile
  1.79      +1 -1      ports/net-im/licq/Makefile
  1.7       +4 -4      ports/net-im/wooztalk/Makefile
  1.58      +1 -1      ports/net-p2p/deluge/Makefile
  1.22      +1 -1      ports/net-p2p/rblibtorrent-devel/Makefile
  1.12      +1 -1      ports/net-p2p/rblibtorrent/Makefile
  1.5       +1 -1      ports/net-p2p/sharktorrent/Makefile
  1.4       +1 -1      ports/net/pktanon/Makefile
  1.20      +1 -1      ports/net/twinkle/Makefile
  1.5       +1 -1      ports/palm/barry/Makefile
  1.44      +1 -1      ports/print/cjk-lyx/Makefile
  1.120     +1 -1      ports/print/lyx/Makefile
  1.130     +1 -1      ports/print/lyx15/Makefile
  1.9       +1 -1      ports/print/pdfcube/Makefile
  1.4       +1 -1      ports/science/avogadro/Makefile
  1.24      +1 -1      ports/science/openbabel/Makefile
  1.2       +1 -1      ports/science/peekabot/Makefile
  1.12      +1 -1      ports/sysutils/fusefs-encfs/Makefile
  1.17      +1 -1      ports/textproc/source-highlight/Makefile
  1.54      +2 -5      ports/www/openvrml/Makefile
  1.4       +1 -1      ports/x11-toolkits/flowcanvas/Makefile
  1.15      +1 -1      ports/x11-toolkits/gigi/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"